Package org.eclipse.cdt.core.settings.model.util

## Class EntryNameKey

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.EntryNameKey

    public class EntryNameKey
    extends Object

### Constructor Summary

Constructors
`EntryNameKey​(ICSettingEntry entry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`ICSettingEntry` `getEntry()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EntryNameKey

    public EntryNameKey​(ICSettingEntry entry)

### Method Detail

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### getEntry

    public ICSettingEntry getEntry()